Closed Bug 954806 Opened 7 years ago Closed 7 years ago

QUIT command with no message causes an error.

Categories

(Chat Core :: IRC, defect)

defect
Not set
trivial

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: clokep, Assigned: clokep)

Details

Attachments

(1 file)

*** Original post on bio 1372 at 2012-04-12 22:37:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
Attached patch Simple fixSplinter Review
*** Original post on bio 1372 as attmnt 1337 at 2012-04-12 22:37:00 UTC ***

Timestamp: 4/9/2012 6:04:19 PM
Error: Error running command QUIT with handler RFC 2812:
{"rawMessage":":zbowling!~mailorder@75.94.130.98 QUIT :","command":"QUIT","params":[],"nickname":"zbowling","user":"~mailorder","host":"75.94.130.98","source":"~mailorder@75.94.130.98"}
Source File: resource:///modules/ircHandlers.jsm
Line: 117
Source Code:
irc
Attachment #8353090 - Flags: review?(florian)
*** Original post on bio 1372 at 2012-04-12 23:01:30 UTC ***

The actual error message:

Timestamp: 4/12/2012 6:21:15 PM
Error: quitMsg is undefined
Source File: resource:///modules/ircBase.jsm
Line: 301
Comment on attachment 8353090 [details] [diff] [review]
Simple fix

*** Original change on bio 1372 attmnt 1337 at 2012-04-12 23:06:30 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353090 - Flags: review?(florian) → review+
*** Original post on bio 1372 at 2012-04-13 00:07:18 UTC ***

Checked-in as http://hg.instantbird.org/instantbird/rev/15406843dd0d
Status: ASSIGNED → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.2
You need to log in before you can comment on or make changes to this bug.